<html>
<head>
<title>OgreX11EGLSupport.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_9e680f2cca56003d76c91ad8153c6d1e.html">GLES</a>      </li>
      <li class="navelem"><a class="el" href="dir_2b7861191a86db021136edf07f6d3897.html">include</a>      </li>
      <li class="navelem"><a class="el" href="dir_deb9eb5bc671f6ecaf004baa51219216.html">EGL</a>      </li>
      <li class="navelem"><a class="el" href="dir_399bac708c6b74bff9b4fa9fdaae9310.html">X11</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">include/EGL/X11/OgreX11EGLSupport.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="include_2EGL_2X11_2OgreX11EGLSupport_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2008 Renato Araujo Oliveira Filho &lt;renatox@gmail.com&gt;</span>
<a name="l00008"></a>00008 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00011"></a>00011 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00012"></a>00012 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00013"></a>00013 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00014"></a>00014 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00015"></a>00015 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00016"></a>00016 <span class="comment"></span>
<a name="l00017"></a>00017 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00018"></a>00018 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00019"></a>00019 <span class="comment"></span>
<a name="l00020"></a>00020 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00021"></a>00021 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00022"></a>00022 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00023"></a>00023 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00024"></a>00024 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00025"></a>00025 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00026"></a>00026 <span class="comment">THE SOFTWARE.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 <span class="preprocessor">#ifndef __X11EGLSupport_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span><span class="preprocessor">#define __X11EGLSupport_H__</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;OgreEGLSupport.h&quot;</span>
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 <span class="preprocessor">#if (OGRE_PLATFORM == OGRE_PLATFORM_LINUX)</span>
<a name="l00037"></a>00037 <span class="preprocessor"></span><span class="preprocessor">    #include &lt;X11/Xutil.h&gt;</span>
<a name="l00038"></a>00038 <span class="preprocessor">    #include &lt;X11/extensions/Xrandr.h&gt;</span>
<a name="l00039"></a>00039 <span class="preprocessor">    #include &lt;X11/Xutil.h&gt;</span>
<a name="l00040"></a>00040 <span class="preprocessor">    #include &lt;sys/time.h&gt;</span>
<a name="l00041"></a>00041 <span class="preprocessor">    #include &lt;X11/Xlib.h&gt;</span>
<a name="l00042"></a>00042 <span class="preprocessor">    #include &lt;X11/keysym.h&gt;</span>
<a name="l00043"></a>00043 <span class="preprocessor">    #include &lt;X11/extensions/Xrandr.h&gt;</span>
<a name="l00044"></a>00044 <span class="preprocessor">#else</span>
<a name="l00045"></a>00045 <span class="preprocessor"></span><span class="preprocessor">    #define StructureNotifyMask 0</span>
<a name="l00046"></a>00046 <span class="preprocessor"></span><span class="preprocessor">    #define VisibilityChangeMask 0</span>
<a name="l00047"></a>00047 <span class="preprocessor"></span><span class="preprocessor">    #define FocusChangeMask 0</span>
<a name="l00048"></a>00048 <span class="preprocessor"></span><span class="preprocessor">    #define CWBackPixel 0</span>
<a name="l00049"></a>00049 <span class="preprocessor"></span><span class="preprocessor">    #define CWBorderPixel 0</span>
<a name="l00050"></a>00050 <span class="preprocessor"></span><span class="preprocessor">    #define CWColormap 0</span>
<a name="l00051"></a>00051 <span class="preprocessor"></span><span class="preprocessor">    #define CWEventMask 0</span>
<a name="l00052"></a>00052 <span class="preprocessor"></span><span class="preprocessor">    #define NotUseful 0</span>
<a name="l00053"></a>00053 <span class="preprocessor"></span><span class="preprocessor">    #define CWSaveUnder 0</span>
<a name="l00054"></a>00054 <span class="preprocessor"></span><span class="preprocessor">    #define CWBackingStore 0</span>
<a name="l00055"></a>00055 <span class="preprocessor"></span><span class="preprocessor">    #define CWOverrideRedirect 0</span>
<a name="l00056"></a>00056 <span class="preprocessor"></span><span class="preprocessor">    #define InputOutput 0</span>
<a name="l00057"></a>00057 <span class="preprocessor"></span><span class="preprocessor">    #define NormalState 0</span>
<a name="l00058"></a>00058 <span class="preprocessor"></span><span class="preprocessor">    #define StateHint 0</span>
<a name="l00059"></a>00059 <span class="preprocessor"></span><span class="preprocessor">    #define InputHint 0</span>
<a name="l00060"></a>00060 <span class="preprocessor"></span><span class="preprocessor">    #define USPosition 0</span>
<a name="l00061"></a>00061 <span class="preprocessor"></span><span class="preprocessor">    #define ClientMessage 0</span>
<a name="l00062"></a>00062 <span class="preprocessor"></span><span class="preprocessor">    #define SubstructureRedirectMask 0</span>
<a name="l00063"></a>00063 <span class="preprocessor"></span><span class="preprocessor">    #define SubstructureNotifyMask 0</span>
<a name="l00064"></a>00064 <span class="preprocessor"></span><span class="preprocessor">    #define CurrentTime 0</span>
<a name="l00065"></a>00065 <span class="preprocessor"></span><span class="preprocessor">    #define VisualIDMask 0</span>
<a name="l00066"></a>00066 <span class="preprocessor"></span><span class="preprocessor">    #define AllocNone 0</span>
<a name="l00067"></a>00067 <span class="preprocessor"></span>
<a name="l00068"></a>00068     <span class="keyword">enum</span> X11Bool
<a name="l00069"></a>00069     {
<a name="l00070"></a>00070         False
<a name="l00071"></a>00071         ,
<a name="l00072"></a>00072         True
<a name="l00073"></a>00073     };
<a name="l00074"></a>00074     <span class="keyword">class </span>NotPointerAtom{};
<a name="l00075"></a>00075     <span class="keyword">typedef</span> NotPointerAtom * Atom;
<a name="l00076"></a>00076 
<a name="l00077"></a>00077     <span class="keyword">class </span>Display{};
<a name="l00078"></a>00078     <span class="keyword">class </span>XErrorEvent{};
<a name="l00079"></a>00079     <span class="keyword">class </span>XRRScreenConfiguration{};
<a name="l00080"></a>00080     <span class="keyword">class </span>Rotation{};
<a name="l00081"></a>00081     <span class="keyword">class </span>Visual{};
<a name="l00082"></a>00082 <span class="preprocessor">    #define Window  NativeWindowType</span>
<a name="l00083"></a>00083 <span class="preprocessor"></span>
<a name="l00084"></a>00084     <span class="keyword">struct </span>XVisualInfo{<span class="keywordtype">int</span> visualid, visual, depth;};
<a name="l00085"></a>00085     <span class="keyword">struct </span>XRRScreenSize{<span class="keywordtype">int</span> width, height;};
<a name="l00086"></a>00086     <span class="keyword">struct </span>XWMHints{<span class="keywordtype">int</span> initial_state, input, flags;};
<a name="l00087"></a>00087     <span class="keyword">struct </span>XSizeHints{<span class="keywordtype">int</span> flags;};
<a name="l00088"></a>00088     <span class="keyword">struct </span>XWindowAttributes{NativeWindowType root; <span class="keywordtype">int</span> x, y, width, height;};
<a name="l00089"></a>00089     <span class="keyword">struct </span>XSetWindowAttributes{<span class="keywordtype">int</span> background_pixel, border_pixel, colormap, event_mask, backing_store, save_under, override_redirect;};
<a name="l00090"></a>00090     <span class="keyword">struct </span>XTextProperty{<span class="keywordtype">int</span> * value;};
<a name="l00091"></a>00091     <span class="keyword">struct </span>StrangeData{StrangeData(){}StrangeData(Atom atom){}StrangeData(<span class="keywordtype">int</span> num){}};
<a name="l00092"></a>00092     <span class="keyword">struct </span>XClientMessageEventData{StrangeData l[3];};
<a name="l00093"></a>00093     <span class="keyword">struct </span>XClientMessageEvent{<span class="keywordtype">int</span> type, serial, send_event, format; XClientMessageEventData data ; NativeWindowType window; Atom message_type;};
<a name="l00094"></a>00094     <span class="keyword">struct </span>XEvent{};
<a name="l00095"></a>00095 
<a name="l00096"></a>00096 
<a name="l00097"></a>00097     <span class="keywordtype">void</span> XStringListToTextProperty(<span class="keywordtype">char</span> ** prop, <span class="keywordtype">int</span> num, XTextProperty * textProp);
<a name="l00098"></a>00098     Window DefaultRootWindow(Display* nativeDisplayType);
<a name="l00099"></a>00099     <span class="keywordtype">bool</span> XQueryExtension(Display* nativeDisplayType, <span class="keywordtype">char</span> * name, <span class="keywordtype">int</span> * dummy0, <span class="keywordtype">int</span> * dummy2, <span class="keywordtype">int</span> * dummy3);
<a name="l00100"></a>00100     XRRScreenConfiguration * XRRGetScreenInfo(Display* nativeDisplayType, Window window );
<a name="l00101"></a>00101     <span class="keywordtype">int</span> XRRConfigCurrentConfiguration(XRRScreenConfiguration * config, Rotation * rotation);
<a name="l00102"></a>00102     XRRScreenSize * XRRConfigSizes(XRRScreenConfiguration * config, <span class="keywordtype">int</span> * nSizes);
<a name="l00103"></a>00103     <span class="keywordtype">int</span> XRRConfigCurrentRate(XRRScreenConfiguration * config);
<a name="l00104"></a>00104     <span class="keywordtype">short</span> * XRRConfigRates(XRRScreenConfiguration * config, <span class="keywordtype">int</span> sizeID, <span class="keywordtype">int</span> * nRates);
<a name="l00105"></a>00105     <span class="keywordtype">void</span> XRRFreeScreenConfigInfo(XRRScreenConfiguration * config);
<a name="l00106"></a>00106     <span class="keywordtype">int</span> DefaultScreen(NativeDisplayType nativeDisplayType);
<a name="l00107"></a>00107     <span class="keywordtype">int</span> DisplayWidth(Display* nativeDisplayType, <span class="keywordtype">int</span> screen);
<a name="l00108"></a>00108     <span class="keywordtype">int</span> DisplayHeight(Display* nativeDisplayType, <span class="keywordtype">int</span> screen);
<a name="l00109"></a>00109     Display* XOpenDisplay(<span class="keywordtype">int</span> num);
<a name="l00110"></a>00110     <span class="keywordtype">void</span> XCloseDisplay(Display* nativeDisplayType);
<a name="l00111"></a>00111     Atom XInternAtom(Display* nativeDisplayType, <span class="keywordtype">char</span> * name, X11Bool isTrue);;
<a name="l00112"></a>00112     <span class="keywordtype">char</span> * <a class="code" href="group__Overlays.html#gaf7f1d73c45c54848737f8d59741822f0">DisplayString</a>(NativeDisplayType nativeDisplayType);
<a name="l00113"></a>00113     <span class="keyword">const</span> <span class="keywordtype">char</span> * XDisplayName(<span class="keywordtype">char</span> * name);
<a name="l00114"></a>00114     Visual * DefaultVisual(Display* nativeDisplayType,  <span class="keywordtype">int</span> screen);
<a name="l00115"></a>00115     <span class="keywordtype">int</span> XVisualIDFromVisual(Visual *v);
<a name="l00116"></a>00116     <span class="keywordtype">void</span> XRRSetScreenConfigAndRate(Display* nativeDisplayType, XRRScreenConfiguration * config, Window window, <span class="keywordtype">int</span> size, Rotation rotation, <span class="keywordtype">int</span> mode, <span class="keywordtype">int</span> currentTime );
<a name="l00117"></a>00117     XVisualInfo * XGetVisualInfo(Display* nativeDisplayType,  <span class="keywordtype">int</span> mask, XVisualInfo * info, <span class="keywordtype">int</span> * n);
<a name="l00118"></a>00118     <span class="keyword">typedef</span> int (*XErrorHandler)(Display *, XErrorEvent*);
<a name="l00119"></a>00119     XErrorHandler XSetErrorHandler(XErrorHandler xErrorHandler);
<a name="l00120"></a>00120     <span class="keywordtype">void</span> XDestroyWindow(Display* nativeDisplayType, Window nativeWindowType);
<a name="l00121"></a>00121     <span class="keywordtype">bool</span> XGetWindowAttributes(Display* nativeDisplayType, Window nativeWindowType, XWindowAttributes * xWindowAttributes);
<a name="l00122"></a>00122     <span class="keywordtype">int</span> XCreateColormap(Display* nativeDisplayType, Window nativeWindowType, <span class="keywordtype">int</span> visual, <span class="keywordtype">int</span> allocNone);
<a name="l00123"></a>00123     Window XCreateWindow(Display* nativeDisplayType, Window nativeWindowType, <span class="keywordtype">int</span> left, <span class="keywordtype">int</span> top, <span class="keywordtype">int</span> width, <span class="keywordtype">int</span> height, <span class="keywordtype">int</span> dummy1, <span class="keywordtype">int</span> depth, <span class="keywordtype">int</span> inputOutput, <span class="keywordtype">int</span> visual, <span class="keywordtype">int</span> mask, XSetWindowAttributes * xSetWindowAttributes);
<a name="l00124"></a>00124     <span class="keywordtype">void</span> XFree(<span class="keywordtype">void</span> *data);
<a name="l00125"></a>00125     XWMHints * XAllocWMHints();
<a name="l00126"></a>00126     XSizeHints * XAllocSizeHints();
<a name="l00127"></a>00127     <span class="keywordtype">void</span> XSetWMProperties(Display* nativeDisplayType, Window nativeWindowType,XTextProperty * titleprop, <span class="keywordtype">char</span> * dummy1, <span class="keywordtype">char</span> * dummy2, <span class="keywordtype">int</span> num, XSizeHints *sizeHints, XWMHints *wmHints, <span class="keywordtype">char</span> * dummy3);
<a name="l00128"></a>00128     <span class="keywordtype">void</span> XSetWMProtocols(Display* nativeDisplayType, Window nativeWindowType, Atom * atom, <span class="keywordtype">int</span> num);
<a name="l00129"></a>00129     <span class="keywordtype">void</span> XMapWindow(Display* nativeDisplayType, Window nativeWindowType);
<a name="l00130"></a>00130     <span class="keywordtype">void</span> XFlush(Display* nativeDisplayType);
<a name="l00131"></a>00131     <span class="keywordtype">void</span> XMoveWindow(Display* nativeDisplayType, Window nativeWindowType, <span class="keywordtype">int</span> left, <span class="keywordtype">int</span> top);
<a name="l00132"></a>00132     <span class="keywordtype">void</span> XResizeWindow(Display* nativeDisplayType, Window nativeWindowType, <span class="keywordtype">int</span> left, <span class="keywordtype">int</span> top);
<a name="l00133"></a>00133     <span class="keywordtype">void</span> XQueryTree(Display* nativeDisplayType, Window nativeWindowType, Window * root, Window *parent, Window **children, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> * nChildren);
<a name="l00134"></a>00134     <span class="keywordtype">void</span> XSendEvent(Display* nativeDisplayType, Window nativeWindowType, <span class="keywordtype">int</span> dummy1, <span class="keywordtype">int</span> mask, XEvent* xevent);
<a name="l00135"></a>00135 <span class="preprocessor">#endif</span>
<a name="l00136"></a>00136 <span class="preprocessor"></span>
<a name="l00137"></a>00137 
<a name="l00138"></a>00138 <span class="keyword">namespace </span>Ogre {
<a name="l00139"></a><a class="code" href="classOgre_1_1X11EGLSupport.html">00139</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1X11EGLSupport.html">X11EGLSupport</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1EGLSupport.html">EGLSupport</a>
<a name="l00140"></a>00140     {
<a name="l00141"></a>00141         <span class="keyword">protected</span>:
<a name="l00142"></a>00142 
<a name="l00143"></a>00143             <span class="comment">//removed createEGLWindow because it was easier to just use</span>
<a name="l00144"></a>00144             <span class="comment">// new X11EGLWindow in the code to get the native version.</span>
<a name="l00145"></a>00145             <span class="comment">//virtual EGLWindow* createEGLWindow( EGLSupport * support);</span>
<a name="l00146"></a>00146 
<a name="l00147"></a>00147         <span class="keyword">public</span>:
<a name="l00148"></a>00148             <a class="code" href="classOgre_1_1X11EGLSupport.html">X11EGLSupport</a>();
<a name="l00149"></a>00149             <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1X11EGLSupport.html">X11EGLSupport</a>();
<a name="l00150"></a>00150 
<a name="l00151"></a>00151             <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1GLESPBuffer.html">GLESPBuffer</a>* createPBuffer(<a class="code" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe" title="Pixel component format.">PixelComponentType</a> format,
<a name="l00152"></a>00152                 <span class="keywordtype">size_t</span> width, <span class="keywordtype">size_t</span> height);
<a name="l00153"></a>00153 
<a name="l00154"></a>00154             <span class="keyword">virtual</span> <span class="keywordtype">void</span> switchMode(<a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&amp; width, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&amp; height, <span class="keywordtype">short</span>&amp; frequency);
<a name="l00155"></a>00155             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> getDisplayName(<span class="keywordtype">void</span>);
<a name="l00156"></a>00156 
<a name="l00157"></a>00157             NativeDisplayType getNativeDisplay(<span class="keywordtype">void</span>);
<a name="l00158"></a>00158             XVisualInfo *getVisualFromFBConfig(::EGLConfig glConfig);
<a name="l00159"></a><a class="code" href="classOgre_1_1X11EGLSupport.html#a990af75160a53a0f214a76fedde15331">00159</a>             Atom <a class="code" href="classOgre_1_1X11EGLSupport.html#a990af75160a53a0f214a76fedde15331">mAtomDeleteWindow</a>;
<a name="l00160"></a><a class="code" href="classOgre_1_1X11EGLSupport.html#afeffc262686b3db5a5c0eb5667272464">00160</a>             Atom <a class="code" href="classOgre_1_1X11EGLSupport.html#afeffc262686b3db5a5c0eb5667272464">mAtomFullScreen</a>;
<a name="l00161"></a><a class="code" href="classOgre_1_1X11EGLSupport.html#a460556117d5b6b244776edb364c6d3dc">00161</a>             Atom <a class="code" href="classOgre_1_1X11EGLSupport.html#a460556117d5b6b244776edb364c6d3dc">mAtomState</a>;
<a name="l00162"></a>00162 
<a name="l00163"></a>00163             <span class="comment">// This just sets the native variables needed by EGLSupport::getGLDisplay</span>
<a name="l00164"></a>00164             <span class="comment">//Then it calls EGLSupport::getDLDisplay to do the rest of the work.</span>
<a name="l00165"></a>00165             EGLDisplay getGLDisplay();
<a name="l00166"></a>00166 
<a name="l00167"></a>00167             <span class="comment">//Moved this here from EGLSupport because maybe it should be more native.</span>
<a name="l00168"></a>00168                     <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>* newWindow(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name,
<a name="l00169"></a>00169                                         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height,
<a name="l00170"></a>00170                                         <span class="keywordtype">bool</span> fullScreen,
<a name="l00171"></a>00171                                         <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a> *miscParams = 0);
<a name="l00172"></a>00172 
<a name="l00173"></a>00173     };
<a name="l00174"></a>00174 }
<a name="l00175"></a>00175 
<a name="l00176"></a>00176 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
